Bug 1023910 - RFE: support for running multiple builds at same time
Summary: RFE: support for running multiple builds at same time
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mock   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-28 10:13 UTC by Marcin Juszkiewicz
Modified: 2014-04-02 13:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 13:49:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcin Juszkiewicz 2013-10-28 10:13:26 UTC
Description of problem:

I do lot of builds with mock. If machine is powerful enough I would like to run multiple builds (as some take hours while other take just minutes).

Actual results:

Mock runs in /var/lib/mock/root/ which limits myself to just one copy at time. If I want another one I have to tweak configuration to create second rootfs from scratch. And do it for each package and clean after.

Expected results:

Multiple copies of mock run without interfering each other (they may wait during yum package updates).

Additional info:

I came from Debian and used pbuilder a lot. There you have tarball with basic chroot which is unpacked into /var/cache/pbuilder/build/RANDOMNAME/ and then populated with build dependencies and removed after build.

Comment 1 Dan Horák 2013-10-28 11:15:57 UTC
I think you may need --uniqueext=text option for mock, it adds a suffix to the buildroot toplevel directory making it unique without changing any config.

Comment 2 Miroslav Suchý 2013-10-29 23:20:04 UTC
Are you looking for mockchain?

 man mockchain

Comment 3 Miroslav Suchý 2014-04-02 13:49:21 UTC
Closing per #1 and #2. There is nothing to do.


Note You need to log in before you can comment on or make changes to this bug.